Bug 1919266 - 'spa_pod_is_array(pod)' failed at ../spa/include/spa/pod/iter.h:334 spa_pod_get_array()
Summary: 'spa_pod_is_array(pod)' failed at ../spa/include/spa/pod/iter.h:334 spa_pod_g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 13:35 UTC by Mads Kiilerich
Modified: 2021-02-06 01:17 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-06 01:17:57 UTC
Type: Bug


Attachments (Terms of Use)
pw-dump - just in case that helps spotting what 3 things cause this (133.78 KB, text/plain)
2021-01-22 13:35 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2021-01-22 13:35:06 UTC
Created attachment 1749791 [details]
pw-dump - just in case that helps spotting what 3 things cause this

Description of problem:

Each time I open Sound in gnome-settings, I get a message 3 times:
Jan 22 14:27:38 xps pipewire-pulse[1884]: 'spa_pod_is_array(pod)' failed at ../spa/include/spa/pod/iter.h:334 spa_pod_get_array()
Jan 22 14:27:38 xps pipewire-pulse[1884]: 'spa_pod_is_array(pod)' failed at ../spa/include/spa/pod/iter.h:334 spa_pod_get_array()
Jan 22 14:27:38 xps pipewire-pulse[1884]: 'spa_pod_is_array(pod)' failed at ../spa/include/spa/pod/iter.h:334 spa_pod_get_array()


Version-Release number of selected component (if applicable):
pipewire-pulseaudio-0.3.20-1.fc33.x86_64

How reproducible:
yes

Comment 1 Wim Taymans 2021-01-22 15:04:29 UTC
I Can't immediately see anything in pw-dump, will look again later.

Comment 2 Wim Taymans 2021-01-22 15:57:55 UTC
I'm pretty sure it's the profile array in the Routes of the bluetooth device:

    "EnumRoute": [
          {
            "index": 0,
            "direction": "Input",
            "name": "headset-input",
            "description": "Headset",
            "priority": 0,
            "available": "no",
            "info": [
              1,
              "port.type",
              "headset"
            ],
            "profiles": [ ],
            "devices": [ 0 ]
          },

Comment 3 Mads Kiilerich 2021-01-22 16:20:01 UTC
Right. It goes away when I disable bluetooth and no longer see that entry. It comes back after enabling and connecting my LE_WH-1000XM3 again. (But generally it works.)

(Diffing pw-dump output it seems like entry order is changing and thus causing bigger diffs? It is almost sorted by id ... but not entirely. It seems like fully stable sorting on id would be nice.)

Comment 4 Wim Taymans 2021-01-22 16:50:10 UTC
It's an empty array, which basically is not supported and gives random errors when parsing (that's another issue).
Upstream fix here and it'll be in a next version:

https://gitlab.freedesktop.org/pipewire/pipewire/-/commit/1eb9d73814524b621f5b00e1a03394be45026776

Comment 5 Fedora Update System 2021-02-04 10:39:25 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 6 Fedora Update System 2021-02-05 01:27:28 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-06 01:17:57 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.